package models.owl;

/**
 * Класс учебной группы.
 * @author M. Navrotskiy
 * @version 1.0
 */
public class Class {

    /**
     * Конструктор.
     * @param id Идентификатор.
     * @param name Название группы.
     * @param owlURI uri экземпляра класса в онтологии.
     */
    public Class(int id, String name, String owlURI) {
        this.id = id;
        this.name = name;
        this.owlURI = owlURI;
    }

    /**
     * Метод изменения идентификатора.
     * @param id Идентификатор.
     */
    public void setId (int id) {
        this.id = id;
    }

    /**
     * Метод изменения названия учебной группы.
     * @param name Название учебной группы.
     */
    public void setName (String name) {
        this.name = name;
    }

    /**
     * Метод изменения uri экземпляра класса в онтологии.
     * @param uri uri экземпляра класса в онтологии.
     */
    public void setOwlURI (String uri) {
        this.owlURI = uri;
    }

    /**
     * Метод получения идентификатора группы.
     * @return Идентификатор группы.
     */
    public int getId() {
        return this.id;
    }

    /**
     * Метод получения названия группы.
     * @return Название группы.
     */
    public String getName() {
        return this.name;
    }

    /**
     * Метод получения uri в онтологии.
     * @return uri экземпляра класса в онтологии.
     */
    public String getOwlURI() {
        return this.owlURI;
    }

    /* Поля класса. */
    /** Идентификатор учебной группы. */
    private int id;
    /** Название учебной группы. */
    private String name;
    /** uri в онтологии. */
    private String owlURI;

}