package models.owl;

/**
 * Класс преподавателя.
 * @author M. Navrotskiy
 * @version 1.0
 */
public class Teacher {

    /**
     * Конструктор.
     * @param id Идентификатор.
     * @param name ФИО.
     * @param prefix Звание.
     * @param owlURI uri экземпляра класса в онтологии.
     */
    public Teacher (int id, String name, String prefix, String owlURI) {
        this.id = id;
        this.name = name;
        this.prefix = prefix;
        this.owlURI = owlURI;
    }

    /**
     * Метод изменения звания преподавателя.
     * @param prefix Звание преподавателя.
     */
    public void setPrefix (String prefix) {
        this.prefix = prefix;
    }

    /**
     * Метод изменения фио.
     * @param name ФИО.
     */
    public void setName (String name) {
        this.name = name;
    }

    /**
     * Метод изменения идентификатора.
     * @param id Идентификатор.
     */
    public void setId (int id) {
        this.id = id;
    }

    /**
     * Метод получения приставки к имени (звания).
     * @return Приставка к имени (звание).
     */
    public String getPrefix() {
        return this.prefix;
    }

    /**
     * Метод получения фио преподавателя.
     * @return ФИО преподавателя.
     */
    public String getName() {
        return this.name;
    }

    /**
     * Метод получения идентификатора.
     * @return Идентификатор.
     */
    public int getId() {
        return this.id;
    }

    /**
     * Метод получения uri экземпляра класса в онтологии.
     * @return uri экземпляра класса в онтологии.
     */
    public String  getOwlURI() {
        return this.owlURI;
    }

    /**
     * Метод изменения uri экземпляра класса в онтологии.
     * @param owlURI uri экземпляра класса в онтологии.
     */
    public void setOwlURI (String owlURI) {
        this.owlURI = owlURI;
    }

    /* Поля класса. */
    /** Идентификатор преподавателя. */
    private int id;
    /** ФИО преподавателя. */
    private String name;
    /** Приставка к имени (звание). */
    private String prefix;
    /** uri экземпляра класс в онтологии. */
    private String owlURI;

}

